<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:spry="http://ns.adobe.com/spry">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>新用戶註冊</title>
<script src="../../SpryAssets/SpryData.js" type="text/javascript"></script>
<script src="../../SpryAssets/SpryValidationTextField.js" type="text/javascript"></script>
<link href="styles/SpryValidationTextField.css" rel="stylesheet" type="text/css" />
<link href="styles/formStyles.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
<!--
// 自訂身份證驗證程式
function checkID(idStr){
	// 依照字母的編號排列，存入陣列備用。
	var letters = new Array('A', 'B', 'C', 'D', 'E', 'F', 'G', 
	    'H', 'J', 'K', 'L', 'M', 'N', 'P', 'Q', 'R', 'S', 'T', 
		'U', 'V', 'X', 'Y', 'W', 'Z', 'I', 'O');
	// 儲存各個乘數
	var multiply = new Array(1, 9, 8, 7, 6, 5, 4, 3, 2, 1);
	var nums = new Array(2);
	var firstChar;
	var firstNum;
	var lastNum;
	var total = 0;
	// 撰寫「正規表達式」。第一個字為英文字母，
	// 第二個字為1或2，後面跟著8個數字，不分大小寫。
	var regExpID=/^[a-z](1|2)\d{8}$/i; 
	// 使用「正規表達式」檢驗格式
	if (idStr.search(regExpID)==-1) {
		// 基本格式錯誤
		return false;
	} else {
		// 取出第一個字元，和最後一個數字。
		firstChar = idStr.charAt(0).toUpperCase();
		lastNum = idStr.charAt(9);
	}
	// 找出第一個字母對應的數字，並轉換成兩位數數字。
	for (var i=0; i< 26; i++) {
		if (firstChar == letters[i]) {
			firstNum = i + 10;
			nums[0] = Math.floor(firstNum / 10);
			nums[1] = firstNum - (nums[0] * 10);
			break;
		} 
	}
	// 執行加總計算
	for(var i=0; i<multiply.length; i++){
		if (i<2) {
			total += nums[i] * multiply[i];
		} else {
			total += parseInt(idStr.charAt(i-1)) * multiply[i];
		}
	}
	// 和最後一個數字比對
	if ((10 - (total % 10))!= lastNum) {
		return false;
	} 
	return true;
}
// 比較確認密碼
function checkPassword(password2) {
	var original = document.getElementById('password').value;
	if (original == password2) {
		return true;
	} else {
		return false;
	}
}
//
// 接收PHP傳回的結果
function checkNameReult(req) {
   var result = req.xhRequest.responseText;
   
   if(result==0) {
    // 未發現相同的名字
	showMsg("", "pass", "textfieldValidState");
   } else {
   	// 找到相同的名字
	showMsg("這個名字已經被註冊了！", "", "textfieldInvalidFormatState");
   }
}
// 驗證用戶名稱
function checkUsername(username) {
	if(username.length >= 3) {
   		Spry.Utils.loadURL("GET","userchecker.php?username="+username, false, checkNameReult);
	} else {
		showMsg("名字不能少於三個字！", "", "textfieldInvalidFormatState");
	}
}
// 設定輸出訊息及動態改變CSS樣式
function showMsg(msgHTM, msgField, cssClass) {
	document.getElementById("errorMsg").innerHTML = msgHTM;
	document.getElementById('checkedUser').value = msgField;
	document.getElementById('userName').className = cssClass;
}
//-->
</script>
</head>

<body>
<form id="registForm" name="registForm" method="post" action="">
<label for="userName">用戶名稱：</label>
  <input type="text" name="userName" id="userName" onBlur="checkUsername(this.value);" />
  <span id="errorMsg"></span><br />
  <label for="password">密碼：</label>
  <span id="password_s">
  <input type="password" name="password" id="password"/>
  <span class="textfieldRequiredMsg">請輸入密碼</span></span><br />
  <label for="password2">確認密碼：</label>
  <span id="pass_2">
  <input type="password" name="password2" id="password2"/>
  <span class="textfieldRequiredMsg">請輸入確認密碼</span><span class="textfieldInvalidFormatMsg">確認密碼錯誤</span></span><br />
  <label for="email">電子郵件：</label>
  <span id="email_s">
  <input type="text" name="email" id="email"/>
  <span class="textfieldRequiredMsg">請輸入電子郵件</span><span class="textfieldInvalidFormatMsg">郵件格式不對</span></span><br />
  <label for="ssid">身份證號碼：</label>
  <span id="sid_s">
  <input type="text" name="ssid" id="ssid"/>
  <span class="textfieldRequiredMsg">請輸入身份證號碼</span><span class="textfieldInvalidFormatMsg">身份證格式不對</span></span><br />
  <label></label><input type="submit" name="save" id="save" value="確認" />
  <input type="reset" name="cancel" id="cancel" value="取消" />
  <span id="checkedUser_s">
  <input type="hidden" name="checkedUser" id="checkedUser" />
  <span class="textfieldRequiredMsg">請檢查用戶名稱！</span></span>
</form>


<script type="text/javascript">
<!--
// 底下是Spry自動加上的程式碼
//var sprytextfield1 = new Spry.Widget.ValidationTextField("userName_s", "custom", {validation:checkUsername, validateOn:["blur"]});
var sprytextfield2 = new Spry.Widget.ValidationTextField("password_s", "none", {validateOn:["blur"]});
// 比對兩個密碼欄位值是否相同
var sprytextfield3 = new Spry.Widget.ValidationTextField("pass_2", "custom", {validation:checkPassword, validateOn:["blur"]});
var sprytextfield4 = new Spry.Widget.ValidationTextField("email_s", "email", {validateOn:["blur"]});
// 驗證自訂的身份證格式
var sprytextfield5 = new Spry.Widget.ValidationTextField("sid_s", "custom", {validation: checkID, validateOn:["blur"]});
// 驗證用戶名稱是否重複
var sprytextfield6 = new Spry.Widget.ValidationTextField("checkedUser_s");
//-->
</script>
</body>
</html>
